//
// This file is auto-generated from keymaps.csv
// Database checksum sha256(527727ef96d7103a8d7725a6ed9738812660b5a3f4aec086dd7b587b1ba9fcca)
// To re-generate, run:
//   keymap-gen code-map --lang=rust --varname=keymap_xorgkbd2qnum keymaps.csv xorgkbd qnum
//
pub static KEYMAP_XORGKBD2QNUM: &[u16] = &[
  0, // xorgkbd:0 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:1 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:2 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:3 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:4 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:5 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:6 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:7 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:8 -> linux:None (unnamed) -> qnum:None
  0x1, // xorgkbd:9 -> linux:1 (KEY_ESC) -> qnum:1
  0x2, // xorgkbd:10 -> linux:2 (KEY_1) -> qnum:2
  0x3, // xorgkbd:11 -> linux:3 (KEY_2) -> qnum:3
  0x4, // xorgkbd:12 -> linux:4 (KEY_3) -> qnum:4
  0x5, // xorgkbd:13 -> linux:5 (KEY_4) -> qnum:5
  0x6, // xorgkbd:14 -> linux:6 (KEY_5) -> qnum:6
  0x7, // xorgkbd:15 -> linux:7 (KEY_6) -> qnum:7
  0x8, // xorgkbd:16 -> linux:8 (KEY_7) -> qnum:8
  0x9, // xorgkbd:17 -> linux:9 (KEY_8) -> qnum:9
  0xa, // xorgkbd:18 -> linux:10 (KEY_9) -> qnum:10
  0xb, // xorgkbd:19 -> linux:11 (KEY_0) -> qnum:11
  0xc, // xorgkbd:20 -> linux:12 (KEY_MINUS) -> qnum:12
  0xd, // xorgkbd:21 -> linux:13 (KEY_EQUAL) -> qnum:13
  0xe, // xorgkbd:22 -> linux:14 (KEY_BACKSPACE) -> qnum:14
  0xf, // xorgkbd:23 -> linux:15 (KEY_TAB) -> qnum:15
  0x10, // xorgkbd:24 -> linux:16 (KEY_Q) -> qnum:16
  0x11, // xorgkbd:25 -> linux:17 (KEY_W) -> qnum:17
  0x12, // xorgkbd:26 -> linux:18 (KEY_E) -> qnum:18
  0x13, // xorgkbd:27 -> linux:19 (KEY_R) -> qnum:19
  0x14, // xorgkbd:28 -> linux:20 (KEY_T) -> qnum:20
  0x15, // xorgkbd:29 -> linux:21 (KEY_Y) -> qnum:21
  0x16, // xorgkbd:30 -> linux:22 (KEY_U) -> qnum:22
  0x17, // xorgkbd:31 -> linux:23 (KEY_I) -> qnum:23
  0x18, // xorgkbd:32 -> linux:24 (KEY_O) -> qnum:24
  0x19, // xorgkbd:33 -> linux:25 (KEY_P) -> qnum:25
  0x1a, // xorgkbd:34 -> linux:26 (KEY_LEFTBRACE) -> qnum:26
  0x1b, // xorgkbd:35 -> linux:27 (KEY_RIGHTBRACE) -> qnum:27
  0x1c, // xorgkbd:36 -> linux:28 (KEY_ENTER) -> qnum:28
  0x1d, // xorgkbd:37 -> linux:29 (KEY_LEFTCTRL) -> qnum:29
  0x1e, // xorgkbd:38 -> linux:30 (KEY_A) -> qnum:30
  0x1f, // xorgkbd:39 -> linux:31 (KEY_S) -> qnum:31
  0x20, // xorgkbd:40 -> linux:32 (KEY_D) -> qnum:32
  0x21, // xorgkbd:41 -> linux:33 (KEY_F) -> qnum:33
  0x22, // xorgkbd:42 -> linux:34 (KEY_G) -> qnum:34
  0x23, // xorgkbd:43 -> linux:35 (KEY_H) -> qnum:35
  0x24, // xorgkbd:44 -> linux:36 (KEY_J) -> qnum:36
  0x25, // xorgkbd:45 -> linux:37 (KEY_K) -> qnum:37
  0x26, // xorgkbd:46 -> linux:38 (KEY_L) -> qnum:38
  0x27, // xorgkbd:47 -> linux:39 (KEY_SEMICOLON) -> qnum:39
  0x28, // xorgkbd:48 -> linux:40 (KEY_APOSTROPHE) -> qnum:40
  0x29, // xorgkbd:49 -> linux:41 (KEY_GRAVE) -> qnum:41
  0x2a, // xorgkbd:50 -> linux:42 (KEY_LEFTSHIFT) -> qnum:42
  0x2b, // xorgkbd:51 -> linux:43 (KEY_BACKSLASH) -> qnum:43
  0x2c, // xorgkbd:52 -> linux:44 (KEY_Z) -> qnum:44
  0x2d, // xorgkbd:53 -> linux:45 (KEY_X) -> qnum:45
  0x2e, // xorgkbd:54 -> linux:46 (KEY_C) -> qnum:46
  0x2f, // xorgkbd:55 -> linux:47 (KEY_V) -> qnum:47
  0x30, // xorgkbd:56 -> linux:48 (KEY_B) -> qnum:48
  0x31, // xorgkbd:57 -> linux:49 (KEY_N) -> qnum:49
  0x32, // xorgkbd:58 -> linux:50 (KEY_M) -> qnum:50
  0x33, // xorgkbd:59 -> linux:51 (KEY_COMMA) -> qnum:51
  0x34, // xorgkbd:60 -> linux:52 (KEY_DOT) -> qnum:52
  0x35, // xorgkbd:61 -> linux:53 (KEY_SLASH) -> qnum:53
  0x36, // xorgkbd:62 -> linux:54 (KEY_RIGHTSHIFT) -> qnum:54
  0x37, // xorgkbd:63 -> linux:55 (KEY_KPASTERISK) -> qnum:55
  0x38, // xorgkbd:64 -> linux:56 (KEY_LEFTALT) -> qnum:56
  0x39, // xorgkbd:65 -> linux:57 (KEY_SPACE) -> qnum:57
  0x3a, // xorgkbd:66 -> linux:58 (KEY_CAPSLOCK) -> qnum:58
  0x3b, // xorgkbd:67 -> linux:59 (KEY_F1) -> qnum:59
  0x3c, // xorgkbd:68 -> linux:60 (KEY_F2) -> qnum:60
  0x3d, // xorgkbd:69 -> linux:61 (KEY_F3) -> qnum:61
  0x3e, // xorgkbd:70 -> linux:62 (KEY_F4) -> qnum:62
  0x3f, // xorgkbd:71 -> linux:63 (KEY_F5) -> qnum:63
  0x40, // xorgkbd:72 -> linux:64 (KEY_F6) -> qnum:64
  0x41, // xorgkbd:73 -> linux:65 (KEY_F7) -> qnum:65
  0x42, // xorgkbd:74 -> linux:66 (KEY_F8) -> qnum:66
  0x43, // xorgkbd:75 -> linux:67 (KEY_F9) -> qnum:67
  0x44, // xorgkbd:76 -> linux:68 (KEY_F10) -> qnum:68
  0x45, // xorgkbd:77 -> linux:69 (KEY_NUMLOCK) -> qnum:69
  0x46, // xorgkbd:78 -> linux:70 (KEY_SCROLLLOCK) -> qnum:70
  0x47, // xorgkbd:79 -> linux:71 (KEY_KP7) -> qnum:71
  0x48, // xorgkbd:80 -> linux:72 (KEY_KP8) -> qnum:72
  0x49, // xorgkbd:81 -> linux:73 (KEY_KP9) -> qnum:73
  0x4a, // xorgkbd:82 -> linux:74 (KEY_KPMINUS) -> qnum:74
  0x4b, // xorgkbd:83 -> linux:75 (KEY_KP4) -> qnum:75
  0x4c, // xorgkbd:84 -> linux:76 (KEY_KP5) -> qnum:76
  0x4d, // xorgkbd:85 -> linux:77 (KEY_KP6) -> qnum:77
  0x4e, // xorgkbd:86 -> linux:78 (KEY_KPPLUS) -> qnum:78
  0x4f, // xorgkbd:87 -> linux:79 (KEY_KP1) -> qnum:79
  0x50, // xorgkbd:88 -> linux:80 (KEY_KP2) -> qnum:80
  0x51, // xorgkbd:89 -> linux:81 (KEY_KP3) -> qnum:81
  0x52, // xorgkbd:90 -> linux:82 (KEY_KP0) -> qnum:82
  0x53, // xorgkbd:91 -> linux:83 (KEY_KPDOT) -> qnum:83
  0, // xorgkbd:92 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:93 -> linux:None (unnamed) -> qnum:None
  0x56, // xorgkbd:94 -> linux:86 (KEY_102ND) -> qnum:86
  0x57, // xorgkbd:95 -> linux:87 (KEY_F11) -> qnum:87
  0x58, // xorgkbd:96 -> linux:88 (KEY_F12) -> qnum:88
  0xc7, // xorgkbd:97 -> linux:102 (KEY_HOME) -> qnum:199
  0xc8, // xorgkbd:98 -> linux:103 (KEY_UP) -> qnum:200
  0xc9, // xorgkbd:99 -> linux:104 (KEY_PAGEUP) -> qnum:201
  0xcb, // xorgkbd:100 -> linux:105 (KEY_LEFT) -> qnum:203
  0, // xorgkbd:101 -> linux:None (unnamed) -> qnum:None
  0xcd, // xorgkbd:102 -> linux:106 (KEY_RIGHT) -> qnum:205
  0xcf, // xorgkbd:103 -> linux:107 (KEY_END) -> qnum:207
  0xd0, // xorgkbd:104 -> linux:108 (KEY_DOWN) -> qnum:208
  0xd1, // xorgkbd:105 -> linux:109 (KEY_PAGEDOWN) -> qnum:209
  0xd2, // xorgkbd:106 -> linux:110 (KEY_INSERT) -> qnum:210
  0xd3, // xorgkbd:107 -> linux:111 (KEY_DELETE) -> qnum:211
  0x9c, // xorgkbd:108 -> linux:96 (KEY_KPENTER) -> qnum:156
  0x9d, // xorgkbd:109 -> linux:97 (KEY_RIGHTCTRL) -> qnum:157
  0xc6, // xorgkbd:110 -> linux:119 (KEY_PAUSE) -> qnum:198
  0x54, // xorgkbd:111 -> linux:99 (KEY_SYSRQ) -> qnum:84
  0xb5, // xorgkbd:112 -> linux:98 (KEY_KPSLASH) -> qnum:181
  0xb8, // xorgkbd:113 -> linux:100 (KEY_RIGHTALT) -> qnum:184
  0, // xorgkbd:114 -> linux:None (unnamed) -> qnum:None
  0xdb, // xorgkbd:115 -> linux:125 (KEY_LEFTMETA) -> qnum:219
  0xdc, // xorgkbd:116 -> linux:126 (KEY_RIGHTMETA) -> qnum:220
  0xdd, // xorgkbd:117 -> linux:127 (KEY_COMPOSE) -> qnum:221
  0x5d, // xorgkbd:118 -> linux:183 (KEY_F13) -> qnum:93
  0x5e, // xorgkbd:119 -> linux:184 (KEY_F14) -> qnum:94
  0x5f, // xorgkbd:120 -> linux:185 (KEY_F15) -> qnum:95
  0x55, // xorgkbd:121 -> linux:186 (KEY_F16) -> qnum:85
  0x83, // xorgkbd:122 -> linux:187 (KEY_F17) -> qnum:131
  0x73, // xorgkbd:123 -> linux:89 (KEY_RO) -> qnum:115
  0, // xorgkbd:124 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:125 -> linux:None (unnamed) -> qnum:None
  0x59, // xorgkbd:126 -> linux:117 (KEY_KPEQUAL) -> qnum:89
  0, // xorgkbd:127 -> linux:None (unnamed) -> qnum:None
  0, // xorgkbd:128 -> linux:None (unnamed) -> qnum:None
  0x79, // xorgkbd:129 -> linux:92 (KEY_HENKAN) -> qnum:121
  0, // xorgkbd:130 -> linux:None (unnamed) -> qnum:None
  0x7b, // xorgkbd:131 -> linux:94 (KEY_MUHENKAN) -> qnum:123
  0, // xorgkbd:132 -> linux:None (unnamed) -> qnum:None
  0x7d, // xorgkbd:133 -> linux:124 (KEY_YEN) -> qnum:125
];